Get Custom Tool
GET
/api/v3/organizations/{organisation}/ai/custom-tools/{toolName}
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/example/ai/custom-tools/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v3/organizations/example/ai/custom-tools/example \ --header 'Authorization: Bearer <token>'Retrieves a single registered custom tool by name.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
toolName
required
string
The tool name to retrieve
Responses
Section titled “Responses”Custom tool retrieved successfully
Media typeapplication/json
object
tool
object
name
string
description
string
edgeFunctionUrl
string
edgeFunctionCode
The deployed edge function source code
string
isAsync
boolean
inputSchema
string
outputSchema
string
outputSchemaDescription
string
category
string
responseMode
string
createdAt
string format: date-time
Example
{ "tool": { "name": "check_inventory", "description": "Check product inventory levels", "edgeFunctionUrl": "https://preview.quantcdn.io/_quant/ai-exec/org/project/uuid", "isAsync": false, "responseMode": "llm" }}Access denied
Tool not found
Failed to retrieve custom tools
